# Interface JspApplicationContext

public interface JspApplicationContext

Stores application-scoped information for the JSP container.

Since:
  JSP 2.1

## Method Summary

Modifier and Type
Method
Description
`void`
`addELContextListener(jakarta.el.ELContextListener listener)`
Registers an `ELContextListener` that will be notified whenever a new `ELContext` is created.
`void`
`addELResolver(jakarta.el.ELResolver resolver)`
Adds an `ELResolver` to the chain of EL variable and property management within JSP pages and Tag files.
`jakarta.el.ExpressionFactory`
`getExpressionFactory()`
Returns the JSP container's `ExpressionFactory` implementation for EL use.

## Method Details

### addELContextListener

void addELContextListener(jakarta.el.ELContextListener listener)
Registers an `ELContextListener` that will be notified whenever a new `ELContext` is created.

At the very least, any `ELContext` instantiated will have reference to the `JspContext` under `JspContext.class`.

Parameters:
  `listener` - The listener to add

### addELResolver

void addELResolver(jakarta.el.ELResolver resolver)

Adds an `ELResolver` to the chain of EL variable and property management within JSP pages and Tag files.

JSP has a default set of ELResolvers to chain for all EL evaluation:

- `ImplicitObjectELResolver`
- `ELResolver` instances registered with this method
- `MapELResolver`
- `ListELResolver`
- `ArrayELResolver`
- `BeanELResolver`
- `ScopedAttributeELResolver`

Parameters:
  `resolver` - an additional resolver
Throws:
  `IllegalStateException` - if called after the application's `ServletContextListeners` have been initialized.

### getExpressionFactory

jakarta.el.ExpressionFactory getExpressionFactory()

Returns the JSP container's `ExpressionFactory` implementation for EL use.

Returns:
  an `ExpressionFactory` implementation